/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-03-06
 * 描述            ：二级接口-平整机_L2_PDO
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Tpm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Tpm.mapper.IfTpm01L2PdoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_TPM01_L2_PDO", namespace=IfTpm01L2PdoMapper.class)
public class IfTpm01L2Pdo extends BaseVO implements Serializable {
	
	private Long elongation_reduction;
	public Long getElongation_reduction() {
		return elongation_reduction;
	}
	public void setElongation_reduction(Long elongation_reduction) {
		this.elongation_reduction = elongation_reduction;
	}
	
	/** 
	 * 记录号（由业务接口创建，唯一标识消息）
	 */ 
	@Id
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 出口卷号
	 */ 
	@Column
	private String exit_coil_no;
	public String getExit_coil_no() {
		return this.exit_coil_no;
	}
	public void setExit_coil_no(String exit_coil_no) {
		this.exit_coil_no = exit_coil_no;
	}

	/** 
	 * 是否断带（1：断带、0：正常）
	 */ 
	@Column
	private Long strip_break;
	public Long getStrip_break() {
		return this.strip_break;
	}
	public void setStrip_break(Long strip_break) {
		this.strip_break = strip_break;
	}

	/** 
	 * 出口卷内径（mm）
	 */ 
	@Column
	private Long inner_diameter;
	public Long getInner_diameter() {
		return this.inner_diameter;
	}
	public void setInner_diameter(Long inner_diameter) {
		this.inner_diameter = inner_diameter;
	}

	/** 
	 * 出口卷外径（mm）
	 */ 
	@Column
	private Long outer_diameter;
	public Long getOuter_diameter() {
		return this.outer_diameter;
	}
	public void setOuter_diameter(Long outer_diameter) {
		this.outer_diameter = outer_diameter;
	}

	/** 
	 * 出口卷长度（m）
	 */ 
	@Column
	private Long exit_length;
	public Long getExit_length() {
		return this.exit_length;
	}
	public void setExit_length(Long exit_length) {
		this.exit_length = exit_length;
	}

	/** 
	 * 套筒代码
	 */ 
	@Column
	private Long sleeve;
	public Long getSleeve() {
		return this.sleeve;
	}
	public void setSleeve(Long sleeve) {
		this.sleeve = sleeve;
	}

	/** 
	 * 出口卷计算重量（kg）
	 */ 
	@Column
	private Long exit_calc_weight;
	public Long getExit_calc_weight() {
		return this.exit_calc_weight;
	}
	public void setExit_calc_weight(Long exit_calc_weight) {
		this.exit_calc_weight = exit_calc_weight;
	}

	/** 
	 * 出口卷实际重量（kg）
	 */ 
	@Column
	private Long exit_weight;
	public Long getExit_weight() {
		return this.exit_weight;
	}
	public void setExit_weight(Long exit_weight) {
		this.exit_weight = exit_weight;
	}

	/** 
	 * 开始生产时刻（YYYYMMDDHHMMSS）
	 */ 
	@Column
	private String start_time;
	public String getStart_time() {
		return this.start_time;
	}
	public void setStart_time(String start_time) {
		this.start_time = start_time;
	}

	/** 
	 * 结束生产时刻（YYYYMMDDHHMMSS）
	 */ 
	@Column
	private String end_time;
	public String getEnd_time() {
		return this.end_time;
	}
	public void setEnd_time(String end_time) {
		this.end_time = end_time;
	}

	/** 
	 * 生产时间（min）
	 */ 
	@Column
	private String duration;
	public String getDuration() {
		return this.duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}

	/** 
	 * 前张力平均值（kn）
	 */ 
	@Column
	private Long entry_tension_avg;
	public Long getEntry_tension_avg() {
		return this.entry_tension_avg;
	}
	public void setEntry_tension_avg(Long entry_tension_avg) {
		this.entry_tension_avg = entry_tension_avg;
	}

	/** 
	 * 前张力最大值（kn）
	 */ 
	@Column
	private Long entry_tension_max;
	public Long getEntry_tension_max() {
		return this.entry_tension_max;
	}
	public void setEntry_tension_max(Long entry_tension_max) {
		this.entry_tension_max = entry_tension_max;
	}

	/** 
	 * 前张力最小值（kn）
	 */ 
	@Column
	private Long entry_tension_min;
	public Long getEntry_tension_min() {
		return this.entry_tension_min;
	}
	public void setEntry_tension_min(Long entry_tension_min) {
		this.entry_tension_min = entry_tension_min;
	}

	/** 
	 * 后张力平均值（kn）
	 */ 
	@Column
	private Long exit_tension_avg;
	public Long getExit_tension_avg() {
		return this.exit_tension_avg;
	}
	public void setExit_tension_avg(Long exit_tension_avg) {
		this.exit_tension_avg = exit_tension_avg;
	}

	/** 
	 * 后张力最大值（kn）
	 */ 
	@Column
	private Long exit_tension_max;
	public Long getExit_tension_max() {
		return this.exit_tension_max;
	}
	public void setExit_tension_max(Long exit_tension_max) {
		this.exit_tension_max = exit_tension_max;
	}

	/** 
	 * 后张力最小值（kn）
	 */ 
	@Column
	private Long exit_tension_min;
	public Long getExit_tension_min() {
		return this.exit_tension_min;
	}
	public void setExit_tension_min(Long exit_tension_min) {
		this.exit_tension_min = exit_tension_min;
	}

	/** 
	 * 转矩平均值（nm）主电机的转矩，单位N*m
	 */ 
	@Column
	private Long spindle_torque;
	public Long getSpindle_torque() {
		return this.spindle_torque;
	}
	public void setSpindle_torque(Long spindle_torque) {
		this.spindle_torque = spindle_torque;
	}

	/** 
	 * 轧制力（kn）
	 */ 
	@Column
	private Long mill_force;
	public Long getMill_force() {
		return this.mill_force;
	}
	public void setMill_force(Long mill_force) {
		this.mill_force = mill_force;
	}

	/** 
	 * 轧制力方差（10^-2kn）
	 */ 
	@Column
	private Long mill_force_deta;
	public Long getMill_force_deta() {
		return this.mill_force_deta;
	}
	public void setMill_force_deta(Long mill_force_deta) {
		this.mill_force_deta = mill_force_deta;
	}

	/** 
	 * 工作弯辊力（kn）
	 */ 
	@Column
	private Long wkr_bending_force;
	public Long getWkr_bending_force() {
		return this.wkr_bending_force;
	}
	public void setWkr_bending_force(Long wkr_bending_force) {
		this.wkr_bending_force = wkr_bending_force;
	}

	/** 
	 * 中辊弯辊力（kn）
	 */ 
	@Column
	private Long imr_bending_force;
	public Long getImr_bending_force() {
		return this.imr_bending_force;
	}
	public void setImr_bending_force(Long imr_bending_force) {
		this.imr_bending_force = imr_bending_force;
	}

	/** 
	 * 串辊位置（mm）
	 */ 
	@Column
	private Long shift_pos;
	public Long getShift_pos() {
		return this.shift_pos;
	}
	public void setShift_pos(Long shift_pos) {
		this.shift_pos = shift_pos;
	}

	/** 
	 * 延伸率（10-2%，根据平整模式判断）
	 */ 
	@Column
	private Long elongation;
	public Long getElongation() {
		return this.elongation;
	}
	public void setElongation(Long elongation) {
		this.elongation = elongation;
	}

	/** 
	 * 压下率（10-2%，根据平整模式判断）
	 */ 
	@Column
	private Long reduction;
	public Long getReduction() {
		return this.reduction;
	}
	public void setReduction(Long reduction) {
		this.reduction = reduction;
	}

	/** 
	 * 轧制速度（m/min）
	 */ 
	@Column
	private Long mill_speed;
	public Long getMill_speed() {
		return this.mill_speed;
	}
	public void setMill_speed(Long mill_speed) {
		this.mill_speed = mill_speed;
	}

	/** 
	 * 1#机架出口卷厚度设定值（um）
	 */ 
	@Column
	private Long exit_thickness_setp;
	public Long getExit_thickness_setp() {
		return this.exit_thickness_setp;
	}
	public void setExit_thickness_setp(Long exit_thickness_setp) {
		this.exit_thickness_setp = exit_thickness_setp;
	}

	/** 
	 * 1#机架出口卷厚度平均值（um）
	 */ 
	@Column
	private Long exit_thickness_avg;
	public Long getExit_thickness_avg() {
		return this.exit_thickness_avg;
	}
	public void setExit_thickness_avg(Long exit_thickness_avg) {
		this.exit_thickness_avg = exit_thickness_avg;
	}

	/** 
	 * 1#机架出口卷厚度最大值（um）
	 */ 
	@Column
	private Long exit_thickness_max;
	public Long getExit_thickness_max() {
		return this.exit_thickness_max;
	}
	public void setExit_thickness_max(Long exit_thickness_max) {
		this.exit_thickness_max = exit_thickness_max;
	}

	/** 
	 * 1#机架出口卷厚度最小值（um）
	 */ 
	@Column
	private Long exit_thickness_min;
	public Long getExit_thickness_min() {
		return this.exit_thickness_min;
	}
	public void setExit_thickness_min(Long exit_thickness_min) {
		this.exit_thickness_min = exit_thickness_min;
	}

	/** 
	 * 1#机架出口卷厚度方差（um）
	 */ 
	@Column
	private Long exit_thickness_delta;
	public Long getExit_thickness_delta() {
		return this.exit_thickness_delta;
	}
	public void setExit_thickness_delta(Long exit_thickness_delta) {
		this.exit_thickness_delta = exit_thickness_delta;
	}

	/** 
	 * <±1%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_1;
	public Long getThickness_class_1() {
		return this.thickness_class_1;
	}
	public void setThickness_class_1(Long thickness_class_1) {
		this.thickness_class_1 = thickness_class_1;
	}

	/** 
	 * <±2%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_2;
	public Long getThickness_class_2() {
		return this.thickness_class_2;
	}
	public void setThickness_class_2(Long thickness_class_2) {
		this.thickness_class_2 = thickness_class_2;
	}

	/** 
	 * <±4%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_3;
	public Long getThickness_class_3() {
		return this.thickness_class_3;
	}
	public void setThickness_class_3(Long thickness_class_3) {
		this.thickness_class_3 = thickness_class_3;
	}

	/** 
	 * <±6%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_4;
	public Long getThickness_class_4() {
		return this.thickness_class_4;
	}
	public void setThickness_class_4(Long thickness_class_4) {
		this.thickness_class_4 = thickness_class_4;
	}

	/** 
	 * <±10%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_5;
	public Long getThickness_class_5() {
		return this.thickness_class_5;
	}
	public void setThickness_class_5(Long thickness_class_5) {
		this.thickness_class_5 = thickness_class_5;
	}

	/** 
	 * >±10%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_6;
	public Long getThickness_class_6() {
		return this.thickness_class_6;
	}
	public void setThickness_class_6(Long thickness_class_6) {
		this.thickness_class_6 = thickness_class_6;
	}

	/** 
	 * 缺陷个数
	 */ 
	@Column
	private Long num_defects;
	public Long getNum_defects() {
		return this.num_defects;
	}
	public void setNum_defects(Long num_defects) {
		this.num_defects = num_defects;
	}

	/** 
	 * 钢种
	 */ 
	@Column
	private String steel_grade;
	public String getSteel_grade() {
		return this.steel_grade;
	}
	public void setSteel_grade(String steel_grade) {
		this.steel_grade = steel_grade;
	}

	/** 
	 * 前道工序号
	 */ 
	@Column
	private String pre_process_code;
	public String getPre_process_code() {
		return this.pre_process_code;
	}
	public void setPre_process_code(String pre_process_code) {
		this.pre_process_code = pre_process_code;
	}

	/** 
	 * 后道工序号
	 */ 
	@Column
	private String next_process_code;
	public String getNext_process_code() {
		return this.next_process_code;
	}
	public void setNext_process_code(String next_process_code) {
		this.next_process_code = next_process_code;
	}

	/** 
	 * 入口卷号
	 */ 
	@Column
	private String entry_coil_no;
	public String getEntry_coil_no() {
		return this.entry_coil_no;
	}
	public void setEntry_coil_no(String entry_coil_no) {
		this.entry_coil_no = entry_coil_no;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 入口重量（kg）
	 */ 
	@Column
	private Long entry_weight;
	public Long getEntry_weight() {
		return this.entry_weight;
	}
	public void setEntry_weight(Long entry_weight) {
		this.entry_weight = entry_weight;
	}

	/** 
	 * 平整模式
	 */ 
	@Column
	private Long spm_mode;
	public Long getSpm_mode() {
		return this.spm_mode;
	}
	public void setSpm_mode(Long spm_mode) {
		this.spm_mode = spm_mode;
	}

	/** 
	 * 出口厚度（um）
	 */ 
	@Column
	private Long exit_thick;
	public Long getExit_thick() {
		return this.exit_thick;
	}
	public void setExit_thick(Long exit_thick) {
		this.exit_thick = exit_thick;
	}

}
